LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Software (http://www.linuxquestions.org/questions/linux-software-2/)
-   -   Can't get flash working on Firefox 3 with Ubuntu 9.04 (http://www.linuxquestions.org/questions/linux-software-2/can%27t-get-flash-working-on-firefox-3-with-ubuntu-9-04-a-736817/)

Lossenelin 06-30-2009 08:10 PM

Can't get flash working on Firefox 3 with Ubuntu 9.04
 
I've just installed Ubuntu 9.04 and am having agonising problems trying to get Flash to work with Firefox. When I first used the browser to look at Flash content I selected some plugin other than the official Macromedia Flash plugin (under plugins its listed as 'Shockwave Flash 9.0 r999) this plugin is practically useless so I've been trying to install the official plugin, heres what I've tried so far, and nothing has worked:

Installing using ubuntu's Add/Remove option

Installing via apt-get (sudo apt-get install flashplugin-nonfree)

Installing via the .deb from the Macromedia stie.

Now all of these seem to install Flash fine, but when I go into Firefox its not there under plugins and I still can't load flash content.

Any suggestions? ideally I think if I can uninstall the other shockwave plugin I should be able to just install the official one next time I try some flash content, but I can't figure out how to uninstall the other one either (it doesn't show when I go to about:plugins)

stress_junkie 06-30-2009 09:07 PM

If you installed Flash using apt-get or Adept then you would uninstall it using the same package management tool.

When I'm doing some uninstall/reinstall operation I always like to restart the operating system after the uninstall. Don't ask me to justify it. I do it and things work. :)

You want to install the package in the Ubuntu repository called adobe-flashplugin. This will install version 10.0.22.87-2 of that product. When I look in Firefox Tools -> Add-ons -> Plugins it shows up as Shockwave Flash 10.0 r22.

farslayer 07-01-2009 07:50 AM

if it's installed you have to restart the web browser if it was open during installation.

IF that does not resolve the issue then you need to locate the flash plugin and link or copy it to the plugins directory of your browser manually.

user@it-lenny:~$ locate libflashplayer

/usr/share/firefox3/plugins/libflashplayer.so
/usr/lib/iceweasel/plugins/libflashplayer.so
/usr/lib/flashplugin-nonfree/libflashplayer.so


All times are GMT -5. The time now is 08:06 AM.